System 2.0.0.0 4.0.0.0 System.Enum

is used to identify the event that caused a trace in calls to the methods.

Identifies the type of event that has caused the trace.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.TraceEventType

  Fatal error or application crash.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.TraceEventType

  Recoverable error.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.TraceEventType

  Informational message.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  System.Diagnostics.TraceEventType

  Resumption of a logical operation.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  System.Diagnostics.TraceEventType

  Starting of a logical operation.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  System.Diagnostics.TraceEventType

  Stopping of a logical operation.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  System.Diagnostics.TraceEventType

  Suspension of a logical operation.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  System.Diagnostics.TraceEventType

  Changing of correlation identity.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.TraceEventType

  Debugging trace.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.TraceEventType

  Noncritical problem.